
import * as Yup from 'yup'

export const branchSchema = Yup.object().shape({
//   stationName: Yup.string()
//     .trim()
//     .max(128, "Maximum character is 128.")
//     .required('Station name is required!')
//     .matches(
//       /^[a-zA-Z0-9_@.ñÑ ]+$/,
//       {
//         message: 'Invalid Station name.',
//       },
//     ),
//   stationLocation: Yup.string()
//   .trim()
//   .max(128, "Maximum character is 128.")
//   .required('Station location is required!')
//   .matches(
//     /^[a-zA-Z0-9_@.ñÑ ]+$/,
//     {
//       message: 'Invalid Station location.',
//     },
//   ),
//   mapURL: Yup.string()
//     .required('Url is required!'),
//   lat: Yup.string()
//     .required('Lat is required!'),
//   long: Yup.string()
//     .required('Long is required!'),
  code: Yup.string()
  .required('Branch code is required'),
  name: Yup.string()
  .required('Branch name is required!'),
  details: Yup.string()
  .required('Branch details is required!')
})


